org.eclipse.modisco.workflow.core

## Interface WorkflowExecution

    public interface WorkflowExecution

API to launch a workflow

Author:
  Nicolas Payneau

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `launchWorkflow(ILaunchConfiguration configuration, java.lang.String mode, ILaunch launch, IProgressMonitor monitor)` Launch a workflow

### Method Detail

#### launchWorkflow

    void launchWorkflow(ILaunchConfiguration configuration,
                        java.lang.String mode,
                        ILaunch launch,
                        IProgressMonitor monitor)
                 throws CoreException

Launch a workflow

Parameters:
  `configuration` - LaunchConfiguration of MoDiscoWorkflow
  `mode` - launch mode
  `launch` - the launcher
  `monitor` - a progress monitor
Throws:
  `CoreException` - if the configuration is invalid